id_sweetcorn = CreateActor( "SWEETCORN", -400, 2, 0, -90 );
id_view = CreateViewer( id_sweetcorn, 0, -1.5, 4 );

ControllTarget( id_sweetcorn );
SetListener( id_view );

CreateActor( "TYRANNOMAN", -193, 10, 0, -90 );
CreateActor( "TYRANNOMAN", -135, 20, 0, -90 );
CreateActor( "TYRANNOMAN", -105, 7, 0, -90 );
CreateActor( "TYRANNOMAN", -70, 15, 0, -90 );
CreateActor( "TYRANNOMAN", 238, 20, 0, -90 );
CreateActor( "TYRANNOMAN", 264, 20, 0, -90 );
CreateActor( "TYRANNOMAN", 290, 20, 0, -90 );

CreateActor( "MOISTCAT", 15, 2, 0, -90 );
CreateActor( "MOISTCAT", 132, 2, 0, -90 );
CreateActor( "MOISTCAT", 330, 23, 0, -90 );
CreateActor( "MOISTCAT", 390, 23, 0, -90 );

id_field = CreateField( "field.col" );

CreateDecoration( id_field, "GROUND_01", 0, 0, 0, 0, 500 );
CreateDecoration( id_field, "GROUND_02", 0, 0, 0, 0, 500 );
CreateDecoration( id_field, "GROUND_03", 0, 0, 0, 0, 500 );
CreateDecoration( id_field, "VALLERY_01", 0, 0, 0, 0, 500 );
CreateDecoration( id_field, "VALLERY_02", 0, 0, 0, 0, 500 );

CreateDecoration( id_field, "BRIDGE_01_01", -270, 0, 0, 0, 80 );
CreateDecoration( id_field, "BRIDGE_01_02", -270, 0, 0, 0, 80 );
CreateDecoration( id_field, "BRIDGE_01_03", -270, 0, 0, 0, 80 );

CreateDecoration( id_field, "BRIDGE_02_01", 80, 0, 0, 0, 80 );
CreateDecoration( id_field, "BRIDGE_02_02", 80, 0, 0, 0, 80 );
CreateDecoration( id_field, "BRIDGE_02_03", 80, 0, 0, 0, 80 );

CreateDecoration( id_field, "BUILDING_001_01", -400, 0, 0, 0, 80 );
CreateDecoration( id_field, "BUILDING_001_02", -400, 0, 0, 0, 80 );
CreateDecoration( id_field, "BUILDING_001_03", -400, 0, 0, 0, 80 );
CreateDecoration( id_field, "BUILDING_001_04", -400, 0, 0, 0, 80 );

CreateDecoration( id_field, "BUILDING_002_01", -150, 0, 0, 0, 80 );
CreateDecoration( id_field, "BUILDING_002_02", -150, 0, 0, 0, 80 );
CreateDecoration( id_field, "BUILDING_002_03", -150, 0, 0, 0, 80 );
CreateDecoration( id_field, "BUILDING_002_04", -150, 0, 0, 0, 80 );

CreateDecoration( id_field, "BUILDING_003_01", -48, 0, 0, 0, 60 );
CreateDecoration( id_field, "BUILDING_003_02", -48, 0, 0, 0, 60 );

CreateDecoration( id_field, "BUILDING_004_01", 200, 0, 0, 0, 70 );

CreateDecoration( id_field, "BUILDING_005_01", 265, 0, 0, 0, 60 );
CreateDecoration( id_field, "BUILDING_005_02", 265, 0, 0, 0, 60 );
CreateDecoration( id_field, "BUILDING_005_03", 265, 0, 0, 0, 60 );

CreateDecoration( id_field, "BUILDING_006_01", 353, 0, 0, 0, 70 );
CreateDecoration( id_field, "BUILDING_006_02", 353, 0, 0, 0, 70 );

CreateDecoration( id_field, "BUILDING_007", 450, 0, 60, 0, 70 );
CreateDecoration( id_field, "BUILDING_008", -350, 0, 150, 0, 120 );

CreateDecoration( id_field, "GOAL_01", 415, 0, 0, 0, 30 );
CreateDecoration( id_field, "GOAL_02", 415, 0, 0, 0, 30 );

CreateEvent( "EVENT_CLEAR", 415, 23, 0 );


-----------------------------
-- 0 : Mesh
-- 1 : SkinnedMesh
-- 2 : ConstMesh
-- 3 : Billboard
-----------------------------
LoadGraphic( "SWEETCORN", "sweetcorn.x", 1 );
LoadGraphic( "TYRANNOMAN", "tyranno.x", 1 );
LoadGraphic( "MOISTCAT", "moistcat.x", 1 );

LoadGraphic( "GROUND_01", "ground01.cmh", 2 );
LoadGraphic( "GROUND_02", "ground02.cmh", 2 );
LoadGraphic( "GROUND_03", "ground03.cmh", 2 );

LoadGraphic( "BUILDING_001_01", "building001_01.cmh", 2 );
LoadGraphic( "BUILDING_001_02", "building001_02.cmh", 2 );
LoadGraphic( "BUILDING_001_03", "building001_03.cmh", 2 );
LoadGraphic( "BUILDING_001_04", "building001_04.cmh", 2 );

LoadGraphic( "BUILDING_002_01", "building002_01.cmh", 2 );
LoadGraphic( "BUILDING_002_02", "building002_02.cmh", 2 );
LoadGraphic( "BUILDING_002_03", "building002_03.cmh", 2 );
LoadGraphic( "BUILDING_002_04", "building002_04.cmh", 2 );

LoadGraphic( "BUILDING_003_01", "building003_01.cmh", 2 );
LoadGraphic( "BUILDING_003_02", "building003_02.cmh", 2 );

LoadGraphic( "BUILDING_004_01", "building004_01.cmh", 2 );

LoadGraphic( "BUILDING_005_01", "building005_01.cmh", 2 );
LoadGraphic( "BUILDING_005_02", "building005_02.cmh", 2 );
LoadGraphic( "BUILDING_005_03", "building005_03.cmh", 2 );

LoadGraphic( "BUILDING_006_01", "building006_01.cmh", 2 );
LoadGraphic( "BUILDING_006_02", "building006_02.cmh", 2 );

LoadGraphic( "BUILDING_007", "building007.cmh", 2 );
LoadGraphic( "BUILDING_008", "building008.cmh", 2 );

LoadGraphic( "BRIDGE_01_01", "bridge01_01.cmh", 2 );
LoadGraphic( "BRIDGE_01_02", "bridge01_02.cmh", 2 );
LoadGraphic( "BRIDGE_01_03", "bridge01_03.cmh", 2 );

LoadGraphic( "BRIDGE_02_01", "bridge02_01.cmh", 2 );
LoadGraphic( "BRIDGE_02_02", "bridge02_02.cmh", 2 );
LoadGraphic( "BRIDGE_02_03", "bridge02_03.cmh", 2 );

LoadGraphic( "GOAL_01", "goal01.cmh", 2 );
LoadGraphic( "GOAL_02", "goal02.cmh", 2 );

LoadGraphic( "VALLERY_01", "vallery01.cmh", 2 );
LoadGraphic( "VALLERY_02", "vallery02.cmh", 2 );

LoadGraphic( "BOMB_SHELL", "bomb_shell.x", 0 );
LoadGraphic( "BOMB_CORE", "bomb_core.x", 0 );
LoadGraphic( "SMOKE", "smoke.dds", 3 );
LoadGraphic( "EXPLOSION", "fire.dds", 3 );
LoadGraphic( "CELL01", "cell01.dds", 3 );
LoadGraphic( "CELL02", "cell02.dds", 3 );
LoadGraphic( "CELL03", "cell03.dds", 3 );
LoadGraphic( "CELL04", "cell04.dds", 3 );
LoadGraphic( "CELL05", "cell05.dds", 3 );